/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the  "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/*
 * $Id: IntDate.java 470245 2006-11-02 06:34:33Z minchau $
 */

import java.util.LinkedList;
import java.util.Vector;
import java.util.Collections;

public class Moustache
{
	public Vector<LinkedList<Integer>> listevaleurs = null;

	public Moustache(int size)
	{
		System.out.println("creation de l'objet "+size);
		listevaleurs = new Vector<LinkedList<Integer>>();
		// initialise les listes
		for( int i=0; i < size; i++  )
		{
			listevaleurs.addElement( new LinkedList<Integer>() );
		}
	}
	public String ajouterListe(int fitness, int generation)
    {	  
	   //System.out.println("ajout valeur"+fitness+" generation"+generation);
	   listevaleurs.get(generation-1).add(fitness);
	   return "";
    }
	public String trier()
	{
	   //System.out.println("tri");
		for( int i=0; i< listevaleurs.size(); i++ )
		{
			Collections.sort( listevaleurs.get(i) );
		}
	   //System.out.println(" termine");
		return "";
	}
	public String minimums()
	{
		String s = "";
		for( int i=0; i< listevaleurs.size(); i++ )
		{
			s+= listevaleurs.get(i).getFirst();
			s+= ",";
		}
		return s;
	}
	public String maximums()
	{
		String s = "";
		for( int i=0; i< listevaleurs.size(); i++ )
		{
			s+= listevaleurs.get(i).getLast();
			s+= ",";
		}
		return s;
	}
	public String premierQuartile()
	{
		String s = "";
		for( int i=0; i< listevaleurs.size(); i++ )
		{
			s+= listevaleurs.get(i).get((int)(listevaleurs.get(i).size()/4));
			s+= ",";
		}
		return s;
	}
	public String troisiemeQuartile()
	{
		String s = "";
		for( int i=0; i< listevaleurs.size(); i++ )
		{
			s+= listevaleurs.get(i).get((int)(listevaleurs.get(i).size()*0.75));
			s+= ",";
		}
		return s;
	}
	public String mediane()
	{
		String s = "";
		for( int i=0; i< listevaleurs.size(); i++ )
		{
			s+= listevaleurs.get(i).get((int)(listevaleurs.get(i).size()/2));
			s+= ",";
		}
		return s;
	}
}










