#!/usr/bin/perl -w
use strict;


open(FIC,"+<xmltreatment.xml");
open(OUT,">>data.xml");

while (<FIC>) {
	my $ligne = $_;
	if ($ligne =~ /fitness=\"(\d*)\"/) 
	{
		my $newval = int($1 - 10 + rand(50) );
		if( $newval < 0 )
		{
			$newval = 0;
		}
		if( $newval > 100 )
		{
			$newval = 100;
		}
		$ligne =~ s/fitness=\"(\d*)\"/fitness=\"$newval\"/;
	}
	printf OUT $ligne;
}

close(FIC);
close(OUT);


